"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const console_1 = require("../../utils/console");
exports.SetupQuestions = [
    {
        type: 'input',
        name: 'pivotalToken',
        prefix: console_1.questionHelp(`
‣ What's an API Token?:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/api_token/')}
‣ Create an API Token here:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/profile')}
\n`),
        message: 'Pivotal API Token:',
        validate: (val) => {
            if (val && val.length === 32)
                return true;
            return 'Please enter a valid 32 character pivotal token.';
        },
    },
    {
        type: 'input',
        name: 'pivotalProjectId',
        prefix: console_1.questionHelp(`
You can find the Project ID in the last part of your project board's URL:
For eg. in ${chalk_1.default.underline('https://www.pivotaltracker.com/n/projects/1234123')} - '1234123' would be the Project ID.
\n`),
        message: 'Pivotal Project ID:',
        validate: (value) => {
            if (value.match(/^[0-9]{7}/))
                return true;
            return 'Please enter a valid 7 digit Project ID.';
        },
    },
];
exports.PromptToSetup = [
    {
        type: 'confirm',
        name: 'wantSetup',
        prefix: console_1.questionHelp('Looks like pivotal-flow has not been set-up.\n'),
        message: 'Would you like to set up pivotal-flow now?',
        default: false,
    },
];
