"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const console_1 = require("../../utils/console");
const types_1 = require("../../utils/pivotal/types");
exports.HelpWorkOnNewStory = {
    story_type: console_1.questionHelp(`
A story type is one of ${chalk_1.default.bold(Object.values(types_1.StoryType).join(' | '))}.

‣ How to choose a story type:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/adding_stories/#story-types')}
\n`),
    name: console_1.questionHelp(`
A story title is a brief description of the purpose or the desired outcome of the story.

‣ What is a story:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/terminology/#story')}
\n`),
    estimate: console_1.questionHelp(`
Points are a rough estimate on the effort/complexity of the story.

‣ What is an estimate / what are story points?:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/estimating_stories/')}
\n`),
    labelNames: console_1.questionHelp(`
Use labels to tag groups of related stories:
Enter comma-separated values, for eg: '${chalk_1.default.white('front-end, performance, epic-feature')}'

‣ What are labels:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/tagging_stories_with_labels')}
‣ Epics:
  ${chalk_1.default.underline('https://www.pivotaltracker.com/help/articles/tracking_big_features_themes_with_epics/')}
\n`),
    promptDescription: console_1.questionHelp(`
You can add a short description of functionality or an incremental piece of capability that is of value to the customer or delivery team.
Press Enter to skip.
`),
};
exports.HelpSelectStoryFromList = console_1.questionHelp(`You can also search by story name or story id \n`);
exports.HelpStartStory = {
    actions: (storyDetails) => `${storyDetails}\n`,
    branchName: (suggestedBranch) => console_1.questionHelp(`
The story type & story ID will be automatically added to the branch name.

We've automatically generated the branch name as the following based on the story details:

  '${chalk_1.default.bold(suggestedBranch)}'

Simply ${chalk_1.default.underline('press enter')} to use the ${chalk_1.default.underline('generated value')} as the new branch name,
else start typing to write your own branch name.
\n`),
};
