"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const util_1 = require("util");
exports.log = console.log;
exports.error = (message) => console.error(chalk_1.default.bold.red(message));
exports.warning = (message) => console.warn(chalk_1.default.keyword('orange')(message));
exports.questionHelp = (message) => chalk_1.default.dim(message);
/**
 * Log iif `process.env.HUSKY_DEBUG === '1'`
 */
exports.debugLog = (
/* ... message  */
...args // eslint-disable-line @typescript-eslint/no-explicit-any
) => {
    if (process.env.HUSKY_DEBUG === '1') {
        console.debug(...args);
    }
};
/**
 * Log an object for debugging with a label iff `process.env.HUSKY_DEBUG === '1'`
 */
exports.debugLogObject = (
/** Label for the log */
label, 
/** The debug object to log */
obj, 
/** Options passed to the util.inspect() function */
options) => {
    const { showHidden = true, depth = 1, colors = true } = options || {};
    exports.debugLog(`${chalk_1.default.underline(label)}: ${util_1.inspect(obj, {
        showHidden,
        depth,
        colors,
    })}`);
};
